#include <bits/stdc++.h>
using namespace std;
int br1, br2, c1,c2;
int main(){
    cin >> br1 >> br2;
    unsigned long long mnozilac=1;
    unsigned long long res=0;
    for(int i=1;i<=10;i++){
        c1=br1%10;
        c2=br2%10;
        if(c1==c2){
            res+=c1*mnozilac;
            mnozilac=mnozilac*10;
            res+=c2*mnozilac;
        }
        else{
            if(c1>c2) {
                res+=c1*mnozilac;
            } 
            else {
                res+=c2*mnozilac;
            }
        } 
        br1=br1/10;
        br2=br2/10;
        mnozilac=mnozilac*10;
        //cout << mnozilac << endl;    
    }

    cout << res << endl; 

    return 0;
}